*****************************************************************************.
* Analyze each participant separately.
SORT CASES  BY Subject.
SPLIT FILE LAYERED BY Subject.

* Initialize new data set for regression output.
DATASET DECLARE SNARC_Slopes. 

* Define the appropriate request to the Output Management
* System (OMS). You are looking for output elements of the
* type TABLE that were produced by the analysis command
* REGRESSION. Among the outputs of the regression analy-
*sis, you are only interested in the table of COEFFICIENTS.
* The content of this table is supposed to be read to a new
* data file, here called SNARC_Slopes.
OMS 
  /SELECT TABLES
  /IF COMMANDS=['Regression'] SUBTYPES=['Coefficients']
 /DESTINATION FORMAT=SAV
  OUTFILE = SNARC_Slopes. 

* The SNARC effect is regressed on the Number with the usual
* regression command (as in Analyze > Regression > Linear...).
REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT SNARC
  /METHOD=ENTER Number.

* The OMS request is stopped and the SPLIT command is
*disabled.
OMSEND.
SPLIT FILE OFF.

* Get new data file, recode the Subject variable into numeric
* format and delete all variables except for the regression
* slope B and the Subject identifier. Some variables - e.g.,
* B, Std.Error - might have different names if a non-English
* version of SPSS is used (e.g., "RegressionskoeffizientB"
* and "Standardfehler" in the German version).
DATASET ACTIVATE SNARC_Slopes.

SELECT IF Var3 = 'Number'.
RECODE Var1 (CONVERT) INTO Subject.
EXECUTE.
FORMATS Subject (F1.0).
FORMATS B (F4.2).


DELETE VARIABLES Command_ TO Var3.
DELETE VARIABLES Std.Error TO Sig.
*****************************************************************************.